# encoding: utf-8
class MenuBuilder

  def initialize
    @elements = []
  end

  def dropdown(text,icon,submenu)
    @elements << { :type => 'dropdown' , :text => text, :icon => icon, :link => submenu }
    return self
  end

  def link(text,icon,link,target)
    @elements << { :type => 'link' , :text => text, :icon => icon, :link => link, :target => target }
    return self
  end

  def modal(text,icon,link)
    @elements << { :type => 'modal' , :text => text, :icon => icon, :link => link }
    return self
  end

  def build
    @elements
  end

end