# encoding: utf-8
module Sinatra
  module ParamsHandler

    def enable_params
      p "Enabling params handler..."

      before "*" do
        unless params.nil?
          tmp = {}
          for key in params.keys
            value = params[key]
            value = value.join(",").split(",") if value.respond_to? :join
            tmp[key.to_sym] =  value
          end
          @params.clear
          @params = tmp
        end
      end

    end

  end

  register ParamsHandler
end