# encoding: utf-8
module Sinatra
  module ChartsHelper
    extend Hexacta

    def line_chart(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/charts/line".to_sym, locals: option_hash
    end

    def bar_chart(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/charts/bar".to_sym, locals: option_hash
    end

    def pie_chart(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/charts/pie".to_sym, locals: option_hash
    end

    def gauge_chart(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/charts/gauge".to_sym, locals: option_hash
    end

    def stacked_bar_chart(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/charts/stacked_bar".to_sym, locals: option_hash
    end

    setup_dir("/app/views/#{Hexacta::GEM_FILE_DIR}/charts")
    copy_all_files("/lib/sinatra/views/charts","/app/views/#{Hexacta::GEM_FILE_DIR}/charts")
  end

  helpers ChartsHelper
end
