# encoding: utf-8
module Sinatra
  module InputHelper
    extend Hexacta

    def date_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/date".to_sym, locals: option_hash
    end

    def input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/input".to_sym, locals: option_hash
    end

    def month_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/month".to_sym, locals: option_hash
    end

    def multiple_select_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/multiple_select".to_sym, locals: option_hash
    end

    def radio_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/radio".to_sym, locals: option_hash
    end

    def select_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/select".to_sym, locals: option_hash
    end

    def textarea_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/textarea".to_sym, locals: option_hash
    end

    def tick_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/tick".to_sym, locals: option_hash
    end

    def year_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/year".to_sym, locals: option_hash
    end

    def paginator_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/paginator".to_sym, locals: option_hash
    end

    def range_input(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/inputs/range".to_sym, locals: option_hash
    end

    setup_dir("/app/views/#{Hexacta::GEM_FILE_DIR}/inputs")
    copy_all_files("/lib/sinatra/views/inputs","/app/views/#{Hexacta::GEM_FILE_DIR}/inputs")
  end

  helpers InputHelper
end
