# encoding: utf-8
module Sinatra
  module CrossOriginHandler
    extend Hexacta

    def enable_cross_origin
      p "Enabling cross origin..."

      configure do
        enable :cross_origin
      end

      before do
        response.headers['Access-Control-Allow-Origin'] = '*'
      end

    end

  end
  register CrossOriginHandler
end

