# encoding: utf-8
module Sinatra
  module AlertHelper
    extend Hexacta

    def success_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/success".to_sym, locals: option_hash
    end

    def info_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/info".to_sym, locals: option_hash
    end

    def empty_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/empty".to_sym, locals: option_hash
    end

    def warning_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/warning".to_sym, locals: option_hash
    end

    def error_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/error".to_sym, locals: option_hash
    end

    def process_alert(option_hash)
      slim "#{Hexacta::GEM_FILE_DIR}/alerts/process".to_sym, locals: option_hash
    end

    setup_dir("/app/views/#{Hexacta::GEM_FILE_DIR}/alerts")
    copy_all_files("/lib/sinatra/views/alerts","/app/views/#{Hexacta::GEM_FILE_DIR}/alerts")
  end

  helpers AlertHelper
end
