# encoding: utf-8
module Sinatra
  module LibrariesHelper
    extend Hexacta

    def include_css
      slim "#{Hexacta::GEM_FILE_DIR}/libraries/include_css".to_sym
    end

    def include_js_before
      slim "#{Hexacta::GEM_FILE_DIR}/libraries/include_js_before".to_sym
    end

    def include_js_after
      slim "#{Hexacta::GEM_FILE_DIR}/libraries/include_js_after".to_sym
    end

    p "Setting up libraries directory..."
    copy_dir_structure("/lib/sinatra/public","/app/public/#{Hexacta::GEM_FILE_DIR}")
    setup_dir("/app/views/#{Hexacta::GEM_FILE_DIR}/libraries")
    copy_all_files("/lib/sinatra/views/libraries","/app/views/#{Hexacta::GEM_FILE_DIR}/libraries")
  end

  helpers LibrariesHelper
end