# encoding: utf-8
module Sinatra
  module UserConfigurationHelper
    extend Hexacta

    def include_user_configuration
      slim "#{Hexacta::GEM_FILE_DIR}/user_configurations/include".to_sym
    end

    def edit_user_configuration
      slim "#{Hexacta::GEM_FILE_DIR}/user_configurations/edit".to_sym
    end

    p "Setting up user configurations directory..."
    setup_dir("/app/views/#{Hexacta::GEM_FILE_DIR}/user_configurations")
    copy_all_files("/lib/sinatra/views/user_configurations","/app/views/#{Hexacta::GEM_FILE_DIR}/user_configurations")
  end

  helpers UserConfigurationHelper
end